<template>
    <div class="box-check">
        <slot name="off-label">
            <p class="text-check-off">Выкл.</p>
        </slot>
        <!--suppress HtmlFormInputWithoutLabel -->
        <input type="checkbox" class="checkbox" :id="id" :checked="checked" :true-value="true" :false-value="false" />
        <label :for="id" @click.stop.prevent="toggle"/>
        <slot name="on-label">
            <p class="text-check-off">Вкл.</p>
        </slot>
    </div>
</template>

<script>
	export default {
		name: "VuexToggle",
		props: ['checked'],
		computed: {
			id(){
				return 'toggle_'+this._uid;
			}
		},
		methods: {
			toggle(){
				console.log('onChange');
				this.$emit('change', !this.checked);
			}
		}
	}
</script>

<style scoped>
    .checkbox {
        position: absolute;
        z-index: -1;
        opacity: 0;
        margin: 10px 0 0 20px;
    }
    .checkbox + label {
        position: relative;
        padding: 0 0 0 60px;
        cursor: pointer;
        margin-top: -14px;
    }
    .checkbox + label:before {
        content: '';
        position: absolute;
        top: -4px;
        left: 0;
        width: 53px;
        height: 23px;
        border-radius: 12px;
        background: #fff;
        transition: .2s;
    }
    .checkbox + label:after {
        content: '';
        position: absolute;
        top: 0.5px;
        right: 14px;
        width: 14px;
        height: 14px;
        background-color: #abbbff;
        border-radius: 50%;
        left: 6px;
        transition: left .2s;
    }
    .checkbox:checked + label:before {
        background-image: linear-gradient(70deg, #3069e9 0%, #2452d1 100%);
    }
    .checkbox:checked + label:after {
        left: 32px;
    }
    .checkbox + label:before {
        box-shadow: inset 0 2px 3px rgba(0,0,0,.2), 0 0 0 3px rgba(255,255,255,.7);
    }
</style>
